### Class

# RB RhythmDBImportJob

#### Description [src]

    class RB.RhythmDBImportJob : GObject.Object
      implements RB.TaskProgress {
      RhythmDBImportJobPrivate* priv
    }

Tracks the addition to the database of files under a set of directories, providing status information.

The entry types to use for the database entries added by the import job are specified on creation.

#### Ancestors

- GObject

#### Implements

- RBTaskProgress

#### Constructors

###### rhythmdb_import_job_new

Creates a new import job with the specified entry types. Before starting the job, the caller must add one or more paths to import.

#### Instance methods

###### rhythmdb_import_job_add_uri

Adds a URI to import. All files under the specified URI will be imported.

###### rhythmdb_import_job_cancel

Cancels the import job. The job will cease as soon as possible. More directories may be scanned and more files may be imported before the job actually ceases.

###### rhythmdb_import_job_complete

Returns whether the import job is complete.

###### rhythmdb_import_job_get_imported

Returns the number of files successfully imported by the import job so far.

###### rhythmdb_import_job_get_processed

Returns the number of files processed by the import job so far.

###### rhythmdb_import_job_get_total

Returns the total number of files that will be processed by this import job. This increases as the import directories are scanned.

###### rhythmdb_import_job_includes_uri

Checks if the specified URI is included in the import job.

###### rhythmdb_import_job_scan_complete

Returns whether the directory scan phase of the import job is complete.

###### rhythmdb_import_job_start

Starts the import job. After this method has been called, no more URIs may be added to the import job. May only be called once for a given import job.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from RBTaskProgress (1)

###### rb_task_progress_cancel

No description available.

#### Properties

###### RB.RhythmDBImportJob:db

No description available.

###### RB.RhythmDBImportJob:entry-type

No description available.

###### RB.RhythmDBImportJob:error-type

No description available.

###### RB.RhythmDBImportJob:ignore-type

No description available.

##### Properties inherited from RBTaskProgress (6)

###### RBTaskProgress:task-cancellable

No description available.

###### RBTaskProgress:task-detail

No description available.

###### RBTaskProgress:task-label

No description available.

###### RBTaskProgress:task-notify

No description available.

###### RBTaskProgress:task-outcome

No description available.

###### RBTaskProgress:task-progress

No description available.

#### Signals

###### RB.RhythmDBImportJob::complete

Emitted when the whole import job is complete.

###### RB.RhythmDBImportJob::entry-added

Emitted when an entry has been added to the database by the import job.

###### RB.RhythmDBImportJob::scan-complete

Emitted when the directory scan is complete. Once the scan is complete, the total number of files to be processed will not change.

###### RB.RhythmDBImportJob::status-changed

Emitted when the status of the import job has changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBRhythmDBImportJobClass {
      GObjectClass parent_class;
      void (* entry_added) (
        RhythmDBImportJob* job,
        RhythmDBEntry* entry
      );
      void (* status_changed) (
        RhythmDBImportJob* job,
        int total,
        int imported
      );
      void (* scan_complete) (
        RhythmDBImportJob* job,
        int total
      );
      void (* complete) (
        RhythmDBImportJob* job,
        int total
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`entry_added: void (* entry_added) ( RhythmDBImportJob* job, RhythmDBEntry* entry )`

  No description available.

`status_changed: void (* status_changed) ( RhythmDBImportJob* job, int total, int imported )`

  No description available.

`scan_complete: void (* scan_complete) ( RhythmDBImportJob* job, int total )`

  No description available.

`complete: void (* complete) ( RhythmDBImportJob* job, int total )`

  No description available.

#### Virtual methods

###### RB.RhythmDBImportJobClass.complete

No description available.

###### RB.RhythmDBImportJobClass.entry_added

No description available.

###### RB.RhythmDBImportJobClass.scan_complete

No description available.

###### RB.RhythmDBImportJobClass.status_changed

No description available.